GETINO(1)

NUME
getino - afișează numărul unic de nod-i asociat unui descriptor de fișier al procesului sau unui spațiu de nume pentru un anumit PID

REZUMAT

getino [--pidfs|--cgroupns|--ipcns|--netns|--mntns|--pidns|--timens|--userns|--utsns] [--print-pid|-p] PID[:nod-i]...

getino [--print-pid|-p] PID[:nod-i]...

getino PID[:nod-i]...

DESCRIERE

getino este o comandă simplă care afișează numerele de nod-i asociate descriptorului de fișier al procesului (pidfd) sau spațiului de nume pentru toate ID-urile de proces (PID) transmise ca argumente.

Nucleul garantează că numărul de nod-i asociat descriptorului de fișier al unui proces nu va fi reutilizat pe durata ciclului curent de pornire; prin urmare, un proces poate fi identificat în mod unic prin PID-ul său și numărul de nod-i, ceea ce se realizează în mod convenabil prin formatul „PID:nod-i”. De exemplu, acest lucru permite semnalizarea fără conflicte a proceselor cu ajutorul comenzii kill(1), care acceptă formatul PID menționat anterior.

Numerele de nod-i asociate unui spațiu de nume pentru un anumit proces sunt, în esență, ID-uri ale spațiului de nume, identice cu numărul de nod-i raportat de /proc/pid/ns/nstype; pentru mai multe detalii, consultați namespaces(7).

OPȚIUNI

-p, --print-pid
    Afișează atât PID-ul, cât și nodul-i al pidfd/spațiului de nume, separate prin două puncte „:”, în ordinea respectivă. Această convenție de format poate fi utilizată pentru a adresa procesele fără risc de conflict, de exemplu pentru a le trimite semnale cu comanda kill(1).

--pidfs
    Afișează numărul unic de nod-i al descriptorului de fișier asociat cu PID-ul unui proces.

--cgroupns
    Afișează numărul unic de nod-i al spațiului de nume al cgroup. A se vedea cgroup_namespaces(7)

--ipcns
    Afișează numărul unic de nod-i al spațiului de nume IPC. A se vedea ipc_namespaces(7)

--netns
    Afișează numărul unic de nod-i al spațiului de nume de rețea. A se vedea network_namespaces(7)

--mntns
    Afișează numărul unic de nod-i al spațiului de nume de montare. A se vedea mount_namespaces(7)

--pidns
    Afișează numărul unic de nod-i al spațiului de nume PID. A se vedea pid_namespaces(7)

--timens
    Afișează numărul unic de nod-i al spațiului de nume de timp. A se vedea time_namespaces(7)

--userns
    Afișează numărul unic de nod-i al spațiului de nume al utilizatorului. A se vedea user_namespaces(7)

--utsns
    Afișează numărul unic de nod-i al spațiului de nume uts. A se vedea uts_namespaces(7)

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

getino are următoarele valori de stare de ieșire:

0
    succes

1
    eșec nespecificat

NOTE

getino necesită suport pentru pseudo-sistemul de fișiere pidfs (introdus în versiunea 6.9 a Linux), pentru a obține un nod-i valid pentru un descriptor de fișier al procesului.

AUTORI

CONSULTAȚI ȘI

kill(1) pidfd_open(2) namespaces(7)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda getino face parte din pachetul util-linux care poate fi descărcat de la